Refresh
The Refresh object gives information on a refresh of the data quality monitoring pipeline.
Refresh object
The Refresh object gives information on a refresh of the data quality monitoring pipeline.
- object_typestringPublic Preview
The type of the monitored object. Can be one of the following:
schemaortable.
- object_idstringPublic Preview
The UUID of the request object. It is
schema_idforschema, andtable_idfortable.Find the
schema_idfrom either:- The schema_id of the
Schemasresource. - In Catalog Explorer > select the
schema> go to theDetailstab > theSchema IDfield.
Find the
table_idfrom either:- The table_id of the
Tablesresource. - In Catalog Explorer > select the
table> go to theDetailstab > theTable IDfield.
- The schema_id of the
- refresh_idint64Public Preview
Unique id of the refresh operation.
- statestringPublic Preview
The current state of the refresh.
- messagestringPublic Preview
An optional message to give insight into the current state of the refresh (e.g. FAILURE messages).
- start_time_msint64Public Preview
Time when the refresh started (milliseconds since 1/1/1970 UTC).
- end_time_msint64Public Preview
Time when the refresh ended (milliseconds since 1/1/1970 UTC).
- triggerstringPublic Preview
What triggered the refresh.
Get Public Preview
GET
Get data quality monitor refresh. The call must be made in the same workspace as where the monitor was created.
For the table object_type, the caller must have either of the following sets of permissions:
- MANAGE and USE_CATALOG on the table's parent catalog.
- USE_CATALOG on the table's parent catalog, and MANAGE and USE_SCHEMA on the table's parent schema.
- USE_CATALOG on the table's parent catalog, USE_SCHEMA on the table's parent schema, and SELECT on the table.
For the schema object_type, the caller must have either of the following sets of permissions:
- MANAGE and USE_CATALOG on the schema's parent catalog.
- USE_CATALOG on the schema's parent catalog, and USE_SCHEMA on the schema.
API scopes: dataquality
Parameters
- object_typestringpath
The type of the monitored object. Can be one of the following:
schemaortable.
- object_idstringpath
The UUID of the request object. It is
schema_idforschema, andtable_idfortable.Find the
schema_idfrom either:- The schema_id of the
Schemasresource. - In Catalog Explorer > select the
schema> go to theDetailstab > theSchema IDfield.
Find the
table_idfrom either:- The table_id of the
Tablesresource. - In Catalog Explorer > select the
table> go to theDetailstab > theTable IDfield.
- The schema_id of the
- refresh_idint64path
Unique id of the refresh operation.
Response
Returns the Refresh object.
List Public Preview
GET
List data quality monitor refreshes. The call must be made in the same workspace as where the monitor was created.
For the table object_type, the caller must have either of the following sets of permissions:
- MANAGE and USE_CATALOG on the table's parent catalog.
- USE_CATALOG on the table's parent catalog, and MANAGE and USE_SCHEMA on the table's parent schema.
- USE_CATALOG on the table's parent catalog, USE_SCHEMA on the table's parent schema, and SELECT on the table.
For the schema object_type, the caller must have either of the following sets of permissions:
- MANAGE and USE_CATALOG on the schema's parent catalog.
- USE_CATALOG on the schema's parent catalog, and USE_SCHEMA on the schema.
API scopes: dataquality
Parameters
- object_typestringpath
The type of the monitored object. Can be one of the following:
schemaortable.
- object_idstringpath
The UUID of the request object. It is
schema_idforschema, andtable_idfortable.Find the
schema_idfrom either:- The schema_id of the
Schemasresource. - In Catalog Explorer > select the
schema> go to theDetailstab > theSchema IDfield.
Find the
table_idfrom either:- The table_id of the
Tablesresource. - In Catalog Explorer > select the
table> go to theDetailstab > theTable IDfield.
- The schema_id of the
- page_tokenstringquery
- page_sizeint32query
Response
Returns a list of Refresh objects.
Create Public Preview
POST
Creates a refresh. Currently only supported for the table object_type.
The call must be made in the same workspace as where the monitor was created.
The caller must have either of the following sets of permissions:
- MANAGE and USE_CATALOG on the table's parent catalog.
- USE_CATALOG on the table's parent catalog, and MANAGE and USE_SCHEMA on the table's parent schema.
- USE_CATALOG on the table's parent catalog, USE_SCHEMA on the table's parent schema, and MANAGE on the table.
API scopes: dataquality
Parameters
- refreshobjectpath
The refresh to create
Show child attributesHide child attributes
- object_typestring
The type of the monitored object. Can be one of the following:
schemaortable.
- object_idstring
The UUID of the request object. It is
schema_idforschema, andtable_idfortable.Find the
schema_idfrom either:- The schema_id of the
Schemasresource. - In Catalog Explorer > select the
schema> go to theDetailstab > theSchema IDfield.
Find the
table_idfrom either:- The table_id of the
Tablesresource. - In Catalog Explorer > select the
table> go to theDetailstab > theTable IDfield.
- The schema_id of the
- refresh_idint64
Unique id of the refresh operation.
- statestring
The current state of the refresh.
- messagestring
An optional message to give insight into the current state of the refresh (e.g. FAILURE messages).
- start_time_msint64
Time when the refresh started (milliseconds since 1/1/1970 UTC).
- end_time_msint64
Time when the refresh ended (milliseconds since 1/1/1970 UTC).
- triggerstring
What triggered the refresh.
Response
Returns the Refresh object.
Update Public Preview
PATCH
(Unimplemented) Update a refresh
API scopes: dataquality
Parameters
- object_typestringpath
The type of the monitored object. Can be one of the following:
schemaortable.
- object_idstringpath
The UUID of the request object. It is
schema_idforschema, andtable_idfortable.Find the
schema_idfrom either:- The schema_id of the
Schemasresource. - In Catalog Explorer > select the
schema> go to theDetailstab > theSchema IDfield.
Find the
table_idfrom either:- The table_id of the
Tablesresource. - In Catalog Explorer > select the
table> go to theDetailstab > theTable IDfield.
- The schema_id of the
- refresh_idint64path
Unique id of the refresh operation.
- update_maskstringquery
The field mask to specify which fields to update.
Request body
- refreshobject
The refresh to update.
Show child attributesHide child attributes
- object_typestring
The type of the monitored object. Can be one of the following:
schemaortable.
- object_idstring
The UUID of the request object. It is
schema_idforschema, andtable_idfortable.Find the
schema_idfrom either:- The schema_id of the
Schemasresource. - In Catalog Explorer > select the
schema> go to theDetailstab > theSchema IDfield.
Find the
table_idfrom either:- The table_id of the
Tablesresource. - In Catalog Explorer > select the
table> go to theDetailstab > theTable IDfield.
- The schema_id of the
- refresh_idint64
Unique id of the refresh operation.
- statestring
The current state of the refresh.
- messagestring
An optional message to give insight into the current state of the refresh (e.g. FAILURE messages).
- start_time_msint64
Time when the refresh started (milliseconds since 1/1/1970 UTC).
- end_time_msint64
Time when the refresh ended (milliseconds since 1/1/1970 UTC).
- triggerstring
What triggered the refresh.
Response
Returns the Refresh object.
Delete Public Preview
DELETE
(Unimplemented) Delete a refresh
API scopes: dataquality
Parameters
- object_typestringpath
The type of the monitored object. Can be one of the following:
schemaortable.
- object_idstringpath
The UUID of the request object. It is
schema_idforschema, andtable_idfortable.Find the
schema_idfrom either:- The schema_id of the
Schemasresource. - In Catalog Explorer > select the
schema> go to theDetailstab > theSchema IDfield.
Find the
table_idfrom either:- The table_id of the
Tablesresource. - In Catalog Explorer > select the
table> go to theDetailstab > theTable IDfield.
- The schema_id of the
- refresh_idint64path
Unique id of the refresh operation.